% This function creates a translation operator
function t_mat1 = TransMat(SuS, heset)
% SuS - size of the image boundaries
% heset - offset
    t_mat2 = transpose1(SuS);
    t_mat1 = t_mat2;
    t_mat1 = t_mat1 *matrix_translate(SuS, heset(1));
    t_mat1 = t_mat1 * t_mat2;
    t_mat1 = t_mat1 * matrix_translate(SuS, heset(2));
end